// pages/index/components/listDetails/Details.js
const app = getApp()
const $request = require('../../utils/request.js');
Page({

    /**
     * 页面的初始数据
     */
    data: {
        currentIndex: 1,
        pageLoading: false,
        tags: [],
        min: 0,
        max: 300,
        // 用户有无点击过tag
        isClickTag:false,
        // 选中tag
        selectedTag:[],
        detailValue:"",
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad() {
        this.getTags();
    },
    // 输入框输入
    textareaInput(e) {
        let value = e.detail.value;
        let len = e.detail.cursor;;
        this.setData({
            min: len
        });
        this.setData({
            detailValue:value
        })
    },
    // tag选择切换
    tagSelectedChange(e){
        let typename = e.currentTarget.dataset.typename;
        let selectedTag = this.data.selectedTag;
        let tempArr = [];
        // 1 如果选中的数组里没有当前type
        if(selectedTag.indexOf(typename) == -1){
            // 2 如果选中的数组的长度小于3 直接push
            if(selectedTag.length < 3){
                selectedTag.push(typename)
            }
        }
        // 3 如果选中的数组里有它，直接删除
        else{
            selectedTag.forEach((el,inx)=>{
                if(el == typename){
                    selectedTag.splice(inx,1);
                }
            })
        }
        let tags = this.data.tags;
        tags.forEach(el=>{
            el.isActive = false
            if(selectedTag.indexOf(el.typeName) != -1){
                el.isActive = true;
            }
        })
        this.setData({
            selectedTag,
            tags
        })
        console.log(this.data.selectedTag,'selectedTag');
        console.log(this.data.tags,'tags');
    },
    // 获取tag
    getTags() {
        this.setData({
            pageLoading: true,
        })
        $request.get('/businessCommunicationType/getAllType.action').then(res => {
            this.setData({
                pageLoading: false,
            })
            if (res.status == 0) {
                let datas = res.data;
                datas.forEach(el=>{
                    el.isActive = false;
                })
                this.setData({
                    tags: datas,
                })
            }
            console.log(this.data.tags,'tags')
        }).catch(error => {
            console.log(error, 'error appletLogin')
        })
    },
    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})